Package com.complexible.stardog.api

# Interface PathQuery

All Superinterfaces:
  `Query<PathQueryResult>`, `ReadQuery<PathQueryResult>`

public interface PathQuery extends ReadQuery<PathQueryResult>

Since:
  5.1
Version:
  6.0
Author:
  Evren Sirin

- ## Field Summary

  ### Fields inherited from interface com.complexible.stardog.api.Query

  `NO_ID, NO_TIMEOUT`

  ### Fields inherited from interface com.complexible.stardog.api.ReadQuery

  `NO_LIMIT, NO_OFFSET`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PathQuery`
  `dataset(Dataset theDataset)`
  Specify the dataset this query will be executed against.
  `PathQuery`
  `limit(long theLimit)`
  Set the maximum number of results that can be returned by this query.
  `PathQuery`
  `offset(long theOffset)`
  Set the offset of the query results.
  `PathQuery`
  `parameter(String theName, boolean theValue)`
  Set the parameter to the xsd:boolean value
  `PathQuery`
  `parameter(String theName, byte theValue)`
  Set the parameter to the xsd:byte value
  `PathQuery`
  `parameter(String theName, double theValue)`
  Set the parameter to the xsd:double value
  `PathQuery`
  `parameter(String theName, float theValue)`
  Set the parameter to the xsd:float value
  `PathQuery`
  `parameter(String theName, int theValue)`
  Set the parameter to the xsd:int value
  `PathQuery`
  `parameter(String theName, long theValue)`
  Set the parameter to the xsd:long value
  `PathQuery`
  `parameter(String theName, short theValue)`
  Set the parameter to the xsd:short value
  `PathQuery`
  `parameter(String theName, Value theValue)`
  Set the value of the parameter
  `PathQuery`
  `parameter(String theName, Object theObj)`
  Set the parameter to the specified value.
  `PathQuery`
  `parameter(String theName, String theValue)`
  Set the parameter to the xsd:string value
  `PathQuery`
  `parameter(String theName, URI theURI)`
  Set the parameter to the xsd:URI value
  `PathQuery`
  `parameter(String theName, Date theValue)`
  Set the parameter to the xsd:date value
  `PathQuery`
  `parameter(String theName, GregorianCalendar theValue)`
  Set the parameter to the xsd:dateTime value
  `PathQuery`
  `reasoning(boolean theReasoningType)`
  {Specify whether you would like the query to be executed with reasoning.
  `PathQuery`
  `timeout(long theTimeout)`
  Set the timeout for query execution.

  ### Methods inherited from interface com.complexible.stardog.api.Query

  `baseURI, dataset, execute, explain, explain, explain, getID, getSchema, hint, hints, id, isReasoningEnabled, parameters, queryString, schema, timeout, toString`

  ### Methods inherited from interface com.complexible.stardog.api.ReadQuery

  `execute, limit, offset`

- ## Method Details

  - ### dataset

    PathQuery dataset(Dataset theDataset)
    Specify the dataset this query will be executed against. This defines the active graph for the query and will override anything specified within the query. Use `Datasets.NO_DATASET` remove the dataset.
    Specified by:
      `dataset` in interface `Query<PathQueryResult>`
    Specified by:
      `dataset` in interface `ReadQuery<PathQueryResult>`
    Parameters:
      `theDataset` - the active graph dataset
    Returns:
      this query
    See Also:
      - `Datasets`

  - ### offset

    PathQuery offset(long theOffset)
    Set the offset of the query results. Similar to `ReadQuery.limit()` this will override an offset in the query, and you can use `ReadQuery.NO_OFFSET` to remove an offset specified on the query, but not in the query string.
    Specified by:
      `offset` in interface `ReadQuery<PathQueryResult>`
    Parameters:
      `theOffset` - the offset
    Returns:
      this query

  - ### limit

    PathQuery limit(long theLimit)
    Set the maximum number of results that can be returned by this query. Setting the limit on the query will override any limit specified in the original query string, however, setting the limit to `ReadQuery.NO_LIMIT` will not remove the limit if it is specified in the query, but you can use it to remove a limit that has already been set if there was not a limit specified in the query originally.
    Specified by:
      `limit` in interface `ReadQuery<PathQueryResult>`
    Parameters:
      `theLimit` - the new limit
    Returns:
      this query

  - ### timeout

    PathQuery timeout(long theTimeout)
    Set the timeout for query execution.
    Specified by:
      `timeout` in interface `Query<PathQueryResult>`
    Parameters:
      `theTimeout` - the timeout in ms. A zero or negative value will be interpreted as no timeout
    Returns:
      this query

  - ### reasoning

    PathQuery reasoning(boolean theReasoningType)
    {

    Specify whether you would like the query to be executed with reasoning. For update queries, the reasoning flag only affects the evaluation of WHERE clauses in DELETE/INSERT queries.

    You can only modify the reasoning flag of a query outside of a transaction. If querying within a transaction you can only use the `reasoning flag associated with the connection`.

    If the reasoning schema is explicitly set via the `Query.schema(String)` function beforehand then calling `reasoning(true)` will have no effect. If the schema is not set then calling `reasoning(true)` is equivalent to setting the schema to the `default schema`. Calling `reasoning(false)` is always equivalent to setting the schema to the `null schema`.

    }
    Specified by:
      `reasoning` in interface `Query<PathQueryResult>`
    Parameters:
      `theReasoningType` - the reasoning flag
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, Value theValue)
    Set the value of the parameter
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theValue` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, int theValue)
    Set the parameter to the xsd:int value
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theValue` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, long theValue)
    Set the parameter to the xsd:long value
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theValue` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, float theValue)
    Set the parameter to the xsd:float value
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theValue` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, double theValue)
    Set the parameter to the xsd:double value
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theValue` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, short theValue)
    Set the parameter to the xsd:short value
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theValue` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, boolean theValue)
    Set the parameter to the xsd:boolean value
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theValue` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, byte theValue)
    Set the parameter to the xsd:byte value
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theValue` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, String theValue)
    Set the parameter to the xsd:string value
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theValue` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, Date theValue)
    Set the parameter to the xsd:date value
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theValue` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, GregorianCalendar theValue)
    Set the parameter to the xsd:dateTime value
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theValue` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, URI theURI)
    Set the parameter to the xsd:URI value
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter to set
      `theURI` - the value of the parameter
    Returns:
      this query

  - ### parameter

    PathQuery parameter(String theName, Object theObj)
    Set the parameter to the specified value. Convenience method which will delegate to one of the other parameter(...) methods
    Specified by:
      `parameter` in interface `Query<PathQueryResult>`
    Parameters:
      `theName` - the parameter name
      `theObj` - the param value
    Returns:
      this query